//::///////////////////////////////////////////////
//:: Name x2_def_percept
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default On Perception script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

#include "x4_inc_functions"
void main()
{
    object oPerceived = GetLastPerceived();
    if (GetLocalInt(OBJECT_SELF, "Nemesis") == TRUE && GetLocalString(OBJECT_SELF, "sOwner") == CharacterDB(oPerceived))
    {
    AssignCommand(OBJECT_SELF, ApplyEffectToObject(DURATION_TYPE_PERMANENT, SupernaturalEffect(EffectCutsceneImmobilize()), oPerceived));
    SetLocalInt(GetArea(OBJECT_SELF), "NO_ESCAPE", TRUE); //We want this adventurer to be a mini-boss of an area. You can't just run away, once they've seen you!
    //Make sure to delete this variable in the area's OnExit.
    SetLocalInt(OBJECT_SELF, "NeedToTalk", TRUE);
    ActionStartConversation(oPerceived, "", FALSE, FALSE);
    return;
    }

    if(GetLocalInt(OBJECT_SELF, "X4_VANILLA_AI") == TRUE) ExecuteScript("nw_c2_default2_v", OBJECT_SELF);
    else ExecuteScript("nw_c2_default2", OBJECT_SELF);
}
