//::///////////////////////////////////////////////
//:: Name x2_def_ondeath
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default OnDeath script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

#include "quest_inc"
void aCreateObject(int nType, string sResRef, location loc, string sWaypoint)
{
object oNPC = CreateObject(nType, sResRef, loc);
SetLocalString(oNPC, "Waypoint", sWaypoint);
}

void main()
{
    GiveGoldToCreature(OBJECT_SELF, GetLocalInt(OBJECT_SELF, "Reward"));
    object oItem = GetFirstItemInInventory();
        while (GetIsObjectValid(oItem))
        {
            if (GetTag(oItem) == "NW_IT_GOLD001") SetDroppableFlag(oItem, TRUE);
            oItem = GetNextItemInInventory();
        }

    if(GetLocalInt(OBJECT_SELF, "EscortQuest") == TRUE)
    {
        DeleteQuest(GetLocalObject(OBJECT_SELF, "oPC"));
        RemoveJournalQuestEntry("random_quest", GetLocalObject(OBJECT_SELF, "oPC"), FALSE);
        SetIsDestroyable(TRUE, FALSE, TRUE);
        ExecuteScript("x2_def_ondeath", OBJECT_SELF);
        return;
    }

    if(GetLocalInt(OBJECT_SELF, "LostQuest") == TRUE)
    {
        AddRandomQuestJournalEntry(GetLocalObject(OBJECT_SELF, "oPC"), 3);
        SetIsDestroyable(TRUE, FALSE, TRUE);
        ExecuteScript("x2_def_ondeath", OBJECT_SELF);
        return;
    }

    if(GetLocalInt(OBJECT_SELF, "Escorted") == TRUE)
    {
        SetIsDestroyable(TRUE, FALSE, TRUE);
        ExecuteScript("x2_def_ondeath", OBJECT_SELF);
        return;
    }

    ExecuteScript("nw_c2_default7", OBJECT_SELF);
    /*if (GetLocalInt(OBJECT_SELF, "Commoner") == TRUE)
    {
    string sWaypoint = GetLocalString(OBJECT_SELF, "Waypoint");
    string sResRef = GetResRef(OBJECT_SELF);
    location loc = GetLocation(GetWaypointByTag(sWaypoint));
    object oNPC;
    AssignCommand(GetArea(OBJECT_SELF), DelayCommand(600.0, aCreateObject(OBJECT_TYPE_CREATURE, sResRef, loc, sWaypoint)));
    }*/
}
