//This function registers whatever a PC speaks as a local string to be later used.
//It does so only when this is desired, ie. when the local int "X4_PC_LISTEN" on the PC is set to TRUE.
//Functions RegisterNextPCChatMessage and GetLastPCChatMessage require this script to work.
void GetPokerCommand(object oPC, string sSpoken)
{
    object oTable = GetNearestObjectByTag("mpoker_table", oPC);
    if (!GetIsObjectValid(oTable)) return;
    string sCurrent = GetLocalString(oTable, "CURRENT");
    object oPlayer = GetLocalObject(oTable, sCurrent);
    if (oPC != oPlayer) return;
    if (GetStringLeft(sSpoken, 1) == "#")
    {
        SetLocalString(oTable, "SPOKEN", sSpoken);
        AssignCommand(oTable, SpeakOneLinerConversation("mpoker"));
    }
}

void main()
{
    object oPC = GetPCChatSpeaker();
    string sMessage = GetPCChatMessage();

    //This part is for multiplayer poker
    GetPokerCommand(oPC, sMessage);

    if (GetLocalInt(oPC, "X4_PC_LISTEN") == FALSE) return;
    SetLocalString(oPC, "X4_CHAT_MESSAGE", sMessage);
    SetLocalInt(oPC, "X4_PC_LISTEN", FALSE);
}
