/**
 * Check if the total is 9, 10, or 11 and this is the 2nd card, if so,
 * it is possible to double down
 *
 * Copyright (C) 2003 Jim Woodgate - woody@realtime.net
 */

int StartingConditional() {
  int currentPlayer = GetLocalInt(OBJECT_SELF, "BJCURRENTPLYR");
  int total = GetLocalInt(OBJECT_SELF, "BJPLYRTOTAL"+IntToString(currentPlayer));
  int numCards = GetLocalInt(OBJECT_SELF, "BJPLYRNUMCRDS"+IntToString(currentPlayer));

  if (numCards == 2
      && (total > 8 && total < 12))
    return TRUE;
  return FALSE;
}
