//::///////////////////////////////////////////////
//:: Name x2_def_percept
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default On Perception script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

#include "hench_i0_ai"
void main()
{
    if(GetIsEnemy(GetLastPerceived()) && GetLocalInt(OBJECT_SELF, "InitialBuffs") == FALSE)
    {
        ClearAllActions();
        ActionCastSpellAtObject(SPELL_MAGE_ARMOR, OBJECT_SELF, METAMAGIC_ANY, TRUE, 0, PROJECTILE_PATH_TYPE_DEFAULT, TRUE);
        ActionCastSpellAtObject(SPELL_MESTILS_ACID_SHEATH, OBJECT_SELF, METAMAGIC_ANY, TRUE, 0, PROJECTILE_PATH_TYPE_DEFAULT, TRUE);
        ActionCastSpellAtObject(SPELL_IMPROVED_INVISIBILITY, OBJECT_SELF, METAMAGIC_ANY, TRUE, 0, PROJECTILE_PATH_TYPE_DEFAULT, TRUE);
        ActionCastSpellAtObject(SPELL_GREATER_SPELL_MANTLE, OBJECT_SELF, METAMAGIC_ANY, TRUE, 0, PROJECTILE_PATH_TYPE_DEFAULT, TRUE);
        SetLocalInt(OBJECT_SELF, "InitialBuffs", TRUE);
        SetLocalInt(OBJECT_SELF, "DontDisturb", TRUE);
        DelayCommand(1.0, DeleteLocalInt(OBJECT_SELF, "DontDisturb"));
        DelayCommand(0.5, ActionDoCommand(HenchDetermineCombatRound()));
    }

    if (GetLocalInt(OBJECT_SELF, "DontDisturb") == TRUE) return;

    if(GetLocalInt(OBJECT_SELF, "X4_VANILLA_AI") == TRUE) ExecuteScript("nw_c2_default2_v", OBJECT_SELF);
    else ExecuteScript("nw_c2_default2", OBJECT_SELF);
}
