//::///////////////////////////////////////////////
//:: Reveal Map on Area Load
//:: reveal_map.nss
//:: Copyright (c) 2001 Bioware Corp.
//:: Created By: Phillip Alex Haddox
//:: Created On: August 20, 2002
//:://////////////////////////////////////////////
//
// Put this script on the OnEnter Event script in
// the area properties. It will completely reveal
// the mini-map to all players as they zone in.

void main()
{
object oPC = GetEnteringObject();
object oArea = GetArea(oPC);

ExploreAreaForPlayer (oArea,oPC);

AssignCommand(oPC, StoreCameraFacing());
AssignCommand(oPC, SetCameraFacing(GetFacing(oPC), 6.0, 2.0));
AssignCommand(oPC, SetCameraMode(oPC, CAMERA_MODE_STIFF_CHASE_CAMERA));
}
