#include "_sh_inc_list"
#include "69_hench_lib"

void Body(object oExiting)
{
    //A workaround to prevent the OnEnter event body from firing after loading a saved game
    if (GetLocalInt(GetModule(), "LoadCooldown") == TRUE) return;
    if (!GetIsPC(oExiting)) return;

    //Subtrack from the counter of PCs in the area
    SetLocalInt(OBJECT_SELF, "Players", GetLocalInt(OBJECT_SELF, "Players")-1);

    string sAreaString = GetLocalString(OBJECT_SELF, "AreaString");
    DeleteLocalInt(oExiting, "TalkedAdv");
    DeleteLocalInt(oExiting, "Duel");
    ExploreAreaForPlayer(OBJECT_SELF, oExiting, FALSE);
    int nPopulated = FALSE;
    object oObject;
    /*object oObject = GetFirstObjectInArea(OBJECT_SELF);
    while (GetIsObjectValid(oObject))
    {
        if (GetIsPC(oObject))
        {
            nPopulated = TRUE;
            break;
        }
        oObject = GetNextObjectInArea(OBJECT_SELF);
    }*/
    if (GetLocalInt(OBJECT_SELF, "Players") > 0) nPopulated = TRUE;

    if (nPopulated == FALSE)
    {
        DeleteLocalInt(OBJECT_SELF, "IsPopulated");
        DeleteLocalInt(OBJECT_SELF, "NO_ESCAPE");
        DeleteLocalInt(OBJECT_SELF, "ThugNoticed");
        DeleteLocalInt(OBJECT_SELF, "TributePaid");
        DeleteLocalInt(OBJECT_SELF, "Level");
        DeleteLocalInt(OBJECT_SELF, "AmbushPrepared");
        DeleteLocalInt(OBJECT_SELF, "Duel");
        DeleteLocalInt(OBJECT_SELF, "MerchantTrouble");
        DeleteLocalInt(OBJECT_SELF, "DiscoveredVillage");
        DeleteLocalInt(OBJECT_SELF, "DiscoveredDungeon");
        if (GetLocalInt(OBJECT_SELF, "Battle") != 0) MusicBattleChange(OBJECT_SELF, GetLocalInt(OBJECT_SELF, "Battle"));

        //Delete all chests, items, demon portals and creatures in the area; and refresh the store
        location lStore;
        int nStoreRefreshed;
        oObject = GetFirstObjectInArea(OBJECT_SELF);
        object oItem;
        while (GetIsObjectValid(oObject))
        {
            if (GetTag(oObject) == "anc_event_merchant" && nStoreRefreshed != TRUE)
            {
                lStore = GetLocation(oObject);
                DestroyObject(oObject);
                CreateObject(OBJECT_TYPE_STORE, "anc_event_mercha", lStore);
                nStoreRefreshed = TRUE;
            }
            if (GetTag(oObject) == "anc_tchest" || GetTag(oObject) == "anc_pcloot")
            {
                oItem = GetFirstItemInInventory(oObject);
                while (GetIsObjectValid(oItem))
                {
                    DestroyObject(oItem);
                    oItem = GetNextItemInInventory(oObject);
                }
                DestroyObject(oObject);
            }
            /*if (GetObjectType(oObject) == OBJECT_TYPE_TRIGGER)
            {
                DestroyObject(oObject);
            }*/
            if (GetTag(oObject) == "anc_demongate" || GetObjectType(oObject) == OBJECT_TYPE_CREATURE || GetObjectType(oObject) == OBJECT_TYPE_ITEM)
            {
                if ( !GetIsPC(oObject) && !GetIsPC(GetMaster(oObject)) && !GetIsPC(GetMaster(GetMaster(oObject))) && !GetIsPC(GetLastMaster(oObject)) ) //do NOT delete PCs and their associates
                DestroyObject(oObject);
                if ( !GetIsPC(oObject) && GetIsDead(oObject) && GetLocalInt(oObject, "Escorted") == TRUE) //...unless they are a dead escorted NPC
                DestroyObject(oObject);
            }
            oObject = GetNextObjectInArea(OBJECT_SELF);
        }

        //Add this area to the list of free areas (1.06: make sure it's not on the list already)
        string sRegionString = GetStringLeft(sAreaString, 1);
        string sList = "sList"+sRegionString;
        object oList = GetLocalObject(GetModule(), sList);
        int i;
        string sListString = ListGetString(oList, i);
        for (i = 1; i <= ListGetElementCount(oList); i++)
        {
            if (ListGetString(oList, i) == sAreaString)
            {
                i = -1;
                break;
            }
        }
        if (i != -1) ListAddString(oList, sAreaString);

        //TEST
        for (i = 1; i <= ListGetElementCount(oList); i++)
        {
            WriteTimestampedLogEntry(GetName(oExiting)+": "+ListGetString(oList, i));
            WriteTimestampedLogEntry(GetName(oExiting)+": OnExit done");
        }
    }
}

void main()
{
    object oExiting = GetExitingObject();
    DelayCommand(1.0, Body(oExiting));
}
