//:://////////////////////////////////////////////////
//:: 69_HENCH_FIRED
//:: Copyright (c) 2002 Floodgate Entertainment
//:://////////////////////////////////////////////////
/*
Returns TRUE if the player has previously used this
henchman but had fired him/her.
 */
//:://////////////////////////////////////////////////
//:: Created By: 69MEH69
//:: Created On: Sep2004
//:://////////////////////////////////////////////////

#include "x4_inc_functions"
#include "69_hench_lib"

int StartingConditional()
{
    int iResult;
    object oPC = GetPCSpeaker();
    iResult = GetCanWork69(oPC, OBJECT_SELF);
    int nHenchNumber = GetCampaignInt(CharacterDB(oPC), "HENCH_NUMBER");
    if(iResult == FALSE) return FALSE;
    if(nHenchNumber > 2) return FALSE;
    if(GetHenchmanTotal69(oPC) > 0 && nHenchNumber > 1) return FALSE;
    if (!GetIsHired() && GetPlayerHasHired(GetPCSpeaker()) && !GetDidDie() && GetCanWork69(GetPCSpeaker(), OBJECT_SELF))
        return TRUE;
    return FALSE;
}
