#include "x4_inc_functions"
#include "nwnx_files"
void main()
{
    object oPC = GetPCSpeaker();
    object oModule = GetModule();

    string sDatabase = GetLocalString(oModule, "DB");
    string sHouse = GetLocalString(oPC, "HouseToSell");
    string sHouseOwnership = "H_"+sHouse+"_OWNER";
    string sOwner = CharacterDB(oPC);
    string sHousePrice = "H_"+sHouse+"_PRICE";
    string sHouseSeller = "H_"+sHouse+"_SELLER";

    SetCampaignString(sDatabase, sHouseOwnership, sOwner);
    DeleteCampaignVariable(sDatabase, sHousePrice);
    DeleteCampaignVariable(sDatabase, sHouseSeller);

    //In ONLINE mode, register the current date
    if (GetLocalString(oModule, "MODE") == "ONLINE")
    SetCampaignInt(sDatabase, "TIME_"+sHouse, GetSystemTime());
}
