////
// inc_adcolor.nss
//
//
// AnDenix June, 2004

/*
 * Simple script lets you create colored string to output them via
 * SendMessageToPC() function.
 *
 * Questions: mailto: andneix@andenix.com
 * BUGS? Shouldn't be, but mail anyways.
*/

const string TXT_COLOR_GRAY     = "<c>"; // Gray
const string TXT_COLOR_WHITE    = "<c>"; // White
const string TXT_COLOR_CYAN     = "<c >"; // Light Cyan
const string TXT_COLOR_MAGENTA  = "<c >"; // Magenta
const string TXT_COLOR_YELLOW   = "<c >"; // Yellow
const string TXT_COLOR_RED      = "<c  >"; // Red
const string TXT_COLOR_GREEN    = "<c  >"; // Green
const string TXT_COLOR_BLUE     = "<c  >"; // Blue
const string TXT_COLOR_NONE     = "";       // Default (no color)
const string TXT_COLOR_END      = "</c>";   // (color end TAG)
const string TXT_COLOR_DEFAULT  = TXT_COLOR_CYAN;


// Function changes color of the string
// * Param sText - text to color
// * Param sColor - parse a color constant here
// * Returns colored string
string ColorText(string sText, string sColor);


string ColorText(string sText, string sColor)
{
  return sColor + sText + TXT_COLOR_END;
}
