//::///////////////////////////////////////////////
//:: Name x2_def_ondamage
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default OnDamaged script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

void main()
{
    if (GetCurrentHitPoints() < GetMaxHitPoints()/2 && GetLocalInt(OBJECT_SELF, "Hasted") == FALSE)
    {
        ApplyEffectToObject(DURATION_TYPE_PERMANENT, EffectHaste(), OBJECT_SELF);
        SetLocalInt(OBJECT_SELF, "Hasted", TRUE);
    }

    //--------------------------------------------------------------------------
    // GZ: 2003-10-16
    // Make Plot Creatures Ignore Attacks
    //--------------------------------------------------------------------------
    if (GetPlotFlag(OBJECT_SELF))
    {
        return;
    }

    //--------------------------------------------------------------------------
    // Execute old NWN default AI code
    //--------------------------------------------------------------------------
    if(GetLocalInt(OBJECT_SELF, "X4_VANILLA_AI") == TRUE) ExecuteScript("nw_c2_default6_c", OBJECT_SELF);
    else ExecuteScript("nw_c2_default6", OBJECT_SELF);
}
