#include "quest_inc"
int StartingConditional()
{
    object oPC = GetPCSpeaker();
    string sDB = CharacterDB(oPC);

    int nIntelNPC = GetLocalInt(oPC, "QuestIntel");
    string sIntelNPC = IntToString(nIntelNPC);
    string sPrefix;
    if (nIntelNPC == 0) sPrefix = "QUEST";
    else sPrefix = sIntelNPC+"_NPC";

    int nIntelCost = GetCampaignInt(sDB, sPrefix+"_INTELCOST");
    if (GetIsSkillSuccessful(oPC, SKILL_PERSUADE, GetAdjustedSkillDC(oPC)))
        {
            nIntelCost = nIntelCost - nIntelCost/5;
            SetCustomToken(10029, IntToString(nIntelCost));
            return TRUE;
        }
    return FALSE;
}
