//::///////////////////////////////////////////////
//:: Name x2_def_endcombat
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default Combat Round End script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

void main()
{
    if (GetLocalInt(GetArea(OBJECT_SELF), "MerchantTrouble") == TRUE)
    {
        object oObject = GetFirstObjectInArea(GetArea(OBJECT_SELF));
        while (GetIsObjectValid(oObject))
        {
            if ((GetObjectHeard(oObject) || GetObjectSeen(oObject)) && GetIsEnemy(oObject) && GetTag(oObject) != "anc_trmerch" && !GetIsDead(oObject))
            {
                ClearAllActions();
                ActionAttack(oObject);
                return;
            }
            oObject = GetNextObjectInArea(GetArea(OBJECT_SELF));
        }
    }

    if(GetLocalInt(OBJECT_SELF, "Escorted") == TRUE)
    {
        ExecuteScript("x0_ch_hen_combat", OBJECT_SELF);
        return;
    }

    if(GetLocalInt(OBJECT_SELF, "X4_VANILLA_AI") == TRUE) ExecuteScript("nw_c2_default3_c", OBJECT_SELF);
    else ExecuteScript("nw_c2_default3", OBJECT_SELF);
}
