//69_hench_heall
//Henchman will attempt to heal the most injured in party
//Created by: 69MEH69

#include "nw_i0_generic"

void main()
{
    ResetHenchmenState();
    SetCommandable(TRUE, OBJECT_SELF);

    object oTarget = GetFactionMostDamagedMember(OBJECT_SELF);
    talent tUse;
    if(GetIsObjectValid(oTarget))
    {
       int nCurrent = GetCurrentHitPoints(oTarget);
       int nBase = GetMaxHitPoints(oTarget);

        if(GetRacialType(oTarget) == RACIAL_TYPE_UNDEAD)
        {
         if(nCurrent < nBase && !GetIsDead(oTarget))
         {
            tUse = GetCreatureTalentBest(TALENT_CATEGORY_HARMFUL_TOUCH, TALENT_ANY);
            if(GetIsTalentValid(tUse))
            {
                ClearAllActions();
                ActionUseTalentOnObject(tUse, oTarget);
            }
         }
        }
        else if(GetRacialType(oTarget) != RACIAL_TYPE_UNDEAD)
        {
         if(nCurrent < nBase && !GetIsDead(oTarget))
         {
            tUse = GetCreatureTalentBest(TALENT_CATEGORY_BENEFICIAL_HEALING_TOUCH, TALENT_ANY);
            if(GetIsTalentValid(tUse))
            {
                ClearAllActions();
                ActionUseTalentOnObject(tUse, oTarget);
            }
            if(GetHasFeat(FEAT_LAY_ON_HANDS))
            {
                ClearAllActions();
                ActionUseFeat(FEAT_LAY_ON_HANDS, oTarget);
            }
            else
            {
             ActionSpeakString("I am all out of healing.", TALKVOLUME_TALK);
            }
         }
        }

    }
    else
      ActionSpeakString("Everyone seems to be in good health.", TALKVOLUME_TALK);
}
