/*x4_def_mod_exit
 OnClientExit Module Event
 Runs multiple checks for exiting player

 Created by: 69MEH69
 Created on: Apr2005
*/

#include "69_hench_lib"
#include "x4_inc_functions"

void main()
{
   object oPC = GetExitingObject();

   if (GetLocalString(GetModule(), "MODE") == "ONLINE") ExportSingleCharacter(oPC);

   //Let's save miles travelled if the module is in ONLINE mode
   string sDB = GetLocalString(oPC, "CharDatabase");
   if (GetLocalString(GetModule(), "MODE") == "ONLINE") SetCampaignInt(sDB, "MILES", GetLocalInt(oPC, "Miles"));

   //If the PC is dead, we'll save it in the database and then make him/her dead again when he/she comes back! No escape, mwahahaa!
   //if (GetIsDead(oPC)) SetCampaignInt(sDB, "PC_DEAD", TRUE);

   //This is a workaround for a bug that prevents the area OnExit event from firing when a dead player quits the game
   object oArea = GetLocalObject(oPC, "StoredArea"); //A workaround, since GetArea returns OBJECT_INVALID in this event
   SetLocalInt(oArea, "Players", GetLocalInt(oArea, "Players")-1);
   string sPseudoOnExit = GetLocalString(oArea, "OnExit");
   ExecuteScript(sPseudoOnExit, oArea);

   //Clear the quest token slot
   string sToken = GetLocalString(oPC, "QuestToken");
   DeleteLocalObject(GetModule(), "Player"+sToken);

   if(GetIsPC(oPC))
   {
     QuitHenchman69(oPC);
   }
}
