//::///////////////////////////////////////////////
//:: Name x2_def_ondeath
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default OnDeath script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////
#include "quest_inc"

void main()
{
    //Boost master and make him shout something
    object oPitFiend = GetLocalObject(OBJECT_SELF, "PitFiend");
    string sShout;
    switch (Random(5))
    {
        case 0: sShout = "MORE! My power raises!"; break;
        case 1: sShout = "Good... empower me, servants!";  break;
        case 2: sShout = "Yes! My strength has no limits!";  break;
        case 3: sShout = "Fool! Their death aids me!";  break;
        case 4: sShout = "You have dug your own grave, mortal!";  break;
    }
    if (!GetIsDead(oPitFiend))
    {
        AssignCommand(oPitFiend, SpeakString(sShout));
        effect eEffect;
        eEffect = EffectDamageIncrease(5, DAMAGE_TYPE_NEGATIVE);
        eEffect = EffectLinkEffects(eEffect, EffectACIncrease(3));
        eEffect = EffectLinkEffects(eEffect, EffectAttackIncrease(3));
        eEffect = EffectLinkEffects(eEffect, EffectSavingThrowIncrease(SAVING_THROW_ALL, 4));
        eEffect = SupernaturalEffect(eEffect);
        ApplyEffectToObject(DURATION_TYPE_PERMANENT, eEffect, oPitFiend);
    }

    if(GetLocalInt(OBJECT_SELF, "X4_VANILLA_AI") == TRUE) ExecuteScript("nw_c2_default7_v", OBJECT_SELF);
    else ExecuteScript("nw_c2_default7", OBJECT_SELF);
}
