//::///////////////////////////////////////////////
//:: Name x2_def_endcombat
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Default Combat Round End script
*/
//:://////////////////////////////////////////////
//:: Created By: Keith Warner
//:: Created On: June 11/03
//:://////////////////////////////////////////////

void main()
{
    object oArea = GetArea(OBJECT_SELF);
    object oPhylactery = GetFirstObjectInArea(oArea);
    while (GetIsObjectValid(oPhylactery))
    {
        if (GetTag(oPhylactery) == "anc_lich_phylact") SetPlotFlag(oPhylactery, FALSE);
        oPhylactery = GetNextObjectInArea(oArea);
    }

    if (GetItemPossessedBy(OBJECT_SELF, "X1_IT_SPARSCR603") == OBJECT_INVALID && GetItemPossessedBy(OBJECT_SELF, "NW_IT_SPARSCR906") == OBJECT_INVALID)
    {
        CreateItemOnObject("X1_IT_SPARSCR603", OBJECT_SELF);
        CreateItemOnObject("NW_IT_SPARSCR906", OBJECT_SELF);
    }

    if(GetLocalInt(OBJECT_SELF, "X4_VANILLA_AI") == TRUE) ExecuteScript("nw_c2_default3_v", OBJECT_SELF);
    else ExecuteScript("nw_c2_default3", OBJECT_SELF);
}
