#include "_sh_inc_list"
#include "69_hench_lib"
void Body(object oExiting)
{
    //A workaround to prevent the OnEnter event body from firing after loading a saved game
    if (GetLocalInt(GetModule(), "LoadCooldown") == TRUE) return;

    if (!GetIsPC(oExiting)) return;

    if (GetLocalInt(oExiting, "InnVilTransition") == TRUE)
    {
        DeleteLocalInt(oExiting, "InnVilTransition");
        return;
    }

    //Subtrack from the counter of PCs in the area
    SetLocalInt(OBJECT_SELF, "Players", GetLocalInt(OBJECT_SELF, "Players")-1);

    string sAreaString = GetLocalString(OBJECT_SELF, "AreaString");
    //Get the inn area, too
    object oInnArea = GetArea(GetWaypointByTag("event_wp_"+sAreaString+"_1"));
    DeleteLocalInt(oExiting, "TalkedAdv");
    DeleteLocalInt(oExiting, "Duel");
    ExploreAreaForPlayer(OBJECT_SELF, oExiting, FALSE);
    int nPopulated = FALSE;
    object oObject; /*= GetFirstObjectInArea(OBJECT_SELF);
    while (GetIsObjectValid(oObject))
    {
        if (GetIsPC(oObject))
        {
            nPopulated = TRUE;
            break;
        }
        oObject = GetNextObjectInArea(OBJECT_SELF);
    }
    oObject = GetFirstObjectInArea(oInnArea);
    while (GetIsObjectValid(oObject))
    {
        if (GetIsPC(oObject))
        {
            nPopulated = TRUE;
            break;
        }
        oObject = GetNextObjectInArea(oInnArea);
    }*/

    if (GetLocalInt(OBJECT_SELF, "Players") > 0) nPopulated = TRUE;

    if (nPopulated == FALSE)
    {
        DeleteLocalInt(OBJECT_SELF, "IsPopulated");
        DeleteLocalInt(OBJECT_SELF, "NO_ESCAPE");
        DeleteLocalInt(OBJECT_SELF, "ThugNoticed");
        DeleteLocalInt(OBJECT_SELF, "TributePaid");
        DeleteLocalInt(OBJECT_SELF, "Level");
        DeleteLocalInt(OBJECT_SELF, "AmbushPrepared");
        DeleteLocalInt(OBJECT_SELF, "Duel");
        DeleteLocalInt(OBJECT_SELF, "MerchantTrouble");
        DeleteLocalInt(OBJECT_SELF, "DiscoveredVillage");
        DeleteLocalInt(OBJECT_SELF, "DiscoveredDungeon");
        if (GetLocalInt(OBJECT_SELF, "Battle") != 0) MusicBattleChange(OBJECT_SELF, GetLocalInt(OBJECT_SELF, "Battle"));

        //Delete all items and creatures in the areas and refresh the stores
        location lStore;
        int nStoreRefreshed;
        location lInnStore;
        int nInnRefreshed;
        oObject = GetFirstObjectInArea(OBJECT_SELF);
        while (GetIsObjectValid(oObject))
        {
            if (GetObjectType(oObject) == OBJECT_TYPE_CREATURE || GetObjectType(oObject) == OBJECT_TYPE_ITEM)
            {
                if ( !GetIsPC(oObject) && !GetIsPC(GetMaster(oObject)) && !GetIsPC(GetMaster(GetMaster(oObject))) && !GetIsPC(GetLastMaster(oObject)) ) //do NOT delete PCs and their associates
                DestroyObject(oObject);
            }
            if (GetTag(oObject) == "anc_pcloot")
            {
                object oItem = GetFirstItemInInventory(oObject);
                while (GetIsObjectValid(oItem))
                {
                    DestroyObject(oItem);
                    oItem = GetNextItemInInventory(oObject);
                }
                DestroyObject(oObject);
            }
            /*if (GetObjectType(oObject) == OBJECT_TYPE_TRIGGER)
            {
                DestroyObject(oObject);
            }*/
            oObject = GetNextObjectInArea(OBJECT_SELF);
        }
        oObject = GetFirstObjectInArea(oInnArea);
        while (GetIsObjectValid(oObject))
        {
            if (GetTag(oObject) == "anc_event_merchant" && nStoreRefreshed != TRUE)
            {
                lStore = GetLocation(oObject);
                DestroyObject(oObject);
                CreateObject(OBJECT_TYPE_STORE, "anc_event_mercha", lStore);
                nStoreRefreshed = TRUE;
            }
            if (GetTag(oObject) == "anc_tavern" && nInnRefreshed != TRUE)
            {
                lInnStore = GetLocation(oObject);
                DestroyObject(oObject);
                CreateObject(OBJECT_TYPE_STORE, "anc_tavern", lInnStore);
                nInnRefreshed = TRUE;
            }
            if (GetObjectType(oObject) == OBJECT_TYPE_CREATURE || GetObjectType(oObject) == OBJECT_TYPE_ITEM)
            {
                if ( !GetIsPC(oObject) && !GetIsPC(GetMaster(oObject)) && !GetIsPC(GetMaster(GetMaster(oObject))) && !GetIsPC(GetLastMaster(oObject)) ) //do NOT delete PCs and their associates
                DestroyObject(oObject);
                if ( !GetIsPC(oObject) && GetIsDead(oObject) && GetLocalInt(oObject, "Escorted") == TRUE) //...unless they are a dead escorted NPC
                DestroyObject(oObject);
            }
            oObject = GetNextObjectInArea(oInnArea);
        }
    }
}

void main()
{
    object oExiting = GetExitingObject();
    DelayCommand(1.0, Body(oExiting));
}
