/*
    Simple Poker game. 5 card draw.
    By: Joe Leonard
    Email: aiden_00@yahoo.com
    Created: 10-10-02
*/

#include "gh_poker_include"

int StartingConditional()
{
    int iMinGold = GetLocalInt(OBJECT_SELF, "MINIMUM_BET") * 2;
    if(GetGold(GetPCSpeaker()) >= iMinGold) { //10 being the minimum bet, check to make sure PC has enough.
        SetCustomToken(502, IntToString(iMinGold)); //match minimum bet
        SetCustomToken(503, IntToString(iMinGold * 2)); //double minimum bet
        return TRUE;
    }
    else return FALSE;
}
