//This heartbeat spawns animals in the Wolf Forest
void Spawn()
{
    int nWP = Random(20)+1;
    string sWP = "GTREEW_SP_"+IntToString(nWP);
    object oWP = GetWaypointByTag(sWP);
    object oObject = GetFirstObjectInShape(SHAPE_SPHERE, 10.0, GetLocation(oWP));
    if (GetIsObjectValid(oObject)) return; //we don't want to spawn anything if there are creature very nearby - this is to prevent creature stacks and mobs spawning at PC's location

    string sTemplate;
    switch (Random(5))
    {
        case 0: sTemplate = "anc_blackbear"; break;
        case 1:
        case 2: sTemplate = "anc_wolf"; break;
        case 3:
        case 4: sTemplate = "anc_boar"; break;
    }

    object oCreature = CreateObject(OBJECT_TYPE_CREATURE, sTemplate, GetLocation(oWP), TRUE);
    SetLocalInt(oCreature, "GTREEAN", TRUE);
}

void main()
{
    object oObject = GetFirstObjectInArea(OBJECT_SELF);
    int nCounter = 0;
    while (GetIsObjectValid(oObject))
    {
        if (GetLocalInt(oObject, "GTREEAN") == TRUE) nCounter++;
        oObject = GetNextObjectInArea(OBJECT_SELF);
    }

    if (nCounter < 10) //we should spawn something new
    {
        int nWP = Random(20)+1;
        string sWP = "GTREEW_SP_"+IntToString(nWP);
        object oWP = GetWaypointByTag(sWP);
        oObject = GetFirstObjectInShape(SHAPE_SPHERE, 10.0, GetLocation(oWP));
        if (GetIsObjectValid(oObject)) return; //we don't want to spawn anything if there are creature very nearby - this is to prevent creature stacks and mobs spawning at PC's location

        string sTemplate;
        switch (Random(5))
        {
            case 0: sTemplate = "anc_blackbear"; break;
            case 1:
            case 2: sTemplate = "anc_wolf"; break;
            case 3:
            case 4: sTemplate = "anc_boar"; break;
        }

        object oCreature = CreateObject(OBJECT_TYPE_CREATURE, sTemplate, GetLocation(oWP), TRUE);
        SetLocalInt(oCreature, "GTREEAN", TRUE);
        AssignCommand(oCreature, ClearAllActions());
        AssignCommand(oCreature, ActionRandomWalk());
    }
}
