#include "x4_inc_functions"
#include "mpoker_include"
int StartingConditional()
{
    object oStool1 = GetNearestObjectByTag("mpoker_stool1");
    object oStool2 = GetNearestObjectByTag("mpoker_stool2");

    object oP1 = GetSittingCreature(oStool1);
    object oP2 = GetSittingCreature(oStool2);

    SetLocalObject(OBJECT_SELF, "oP1", oP1);
    SetLocalObject(OBJECT_SELF, "oP2", oP2);

    if (GetLocalInt(OBJECT_SELF, "STAGE") == 3)
    {
        //Retrieve PC's message
        int nBet = GetLocalInt(OBJECT_SELF, "BET");
        string sMessage = GetLocalString(OBJECT_SELF, "SPOKEN");
        if (sMessage == "#yes")
        {
            //Next stage
            SetLocalInt(OBJECT_SELF, "STAGE", 4);

            //Add to the pot
            int nPot = GetLocalInt(OBJECT_SELF, "POT");
            SetLocalInt(OBJECT_SELF, "POT", nPot+2*nBet);
            TakeGoldFromCreature(nBet, oP1, TRUE);
            TakeGoldFromCreature(nBet, oP2, TRUE);

            //Set token
            int nStarter = GetLocalInt(OBJECT_SELF, "STARTER");
            string sCurrent = "oP"+IntToString(nStarter);
            object oPlayer = GetLocalObject(OBJECT_SELF, sCurrent);
            SetCustomToken(916, GetName(oPlayer));
            SetLocalString(OBJECT_SELF, "CURRENT", sCurrent);

            //Show hands
            SendMessageToPC(oPlayer, "The pot is: " + IntToString(GetLocalInt(OBJECT_SELF, "POT")));
            SendMessageToPC(oPlayer, ShowMHandAndScores("PLAYER1"));

            return TRUE;
        }

        return FALSE;
    }

    return FALSE;
}
