#include "quest_inc"
int StartingConditional()
{
    if (GetLocalInt(GetArea(OBJECT_SELF), "QuestArea") == FALSE) return FALSE; //We don't want to speak this line if we're not at the destination yet

    object oObject = GetFirstObjectInArea(GetArea(OBJECT_SELF));
    SetQuestTokens(GetPCSpeaker());
    int nBanditsPresent = FALSE;
    while (oObject != OBJECT_INVALID)
        {
            if (GetTag(oObject) == "anc_roadbandit" && GetIsDead(oObject) == FALSE)
            {
                nBanditsPresent = TRUE;
                break;
            }
            oObject = GetNextObjectInArea(GetArea(OBJECT_SELF));
        }

    if ((GetLocalInt(GetPCSpeaker(), "BanditsPaid") == TRUE || nBanditsPresent == FALSE) && GetLocalObject(OBJECT_SELF, "oPC") == GetPCSpeaker() && (GetLocalInt(OBJECT_SELF, "EscortBandits") == 1 || GetLocalInt(OBJECT_SELF, "EscortBandits") == 2)) return TRUE;
    return FALSE;
}
