#include "x4_inc_functions"
int StartingConditional()
{
    object oPC = GetPCSpeaker();
    string sDB = CharacterDB(oPC);

    if (GetLocalInt(OBJECT_SELF, "Quest_Halt") == TRUE) return FALSE; //We don't want to speak to anyone if the quest was halted

    if (GetLocalString(OBJECT_SELF, "sPC") != sDB) return FALSE; //We don't want to speak to anyone but the questing PC

    if (GetCampaignString(sDB, "QUEST_TEMPLATE") != "kidnap") return FALSE; //We don't want to speak this line if we're not a target of a kidnap quest

    if (GetLocalInt(OBJECT_SELF, "Pacified") == FALSE) return FALSE; //We don't want to speak this line if the NPC has not been defeated

    string sName = GetLocalString(OBJECT_SELF, "sName");
    string sLastName = GetLocalString(OBJECT_SELF, "sLastName");
    SetCustomToken(11001, sName);
    SetCustomToken(11002, sLastName);

    return TRUE;
}
