#include "x4_inc_functions"
void main()
{
    //Get the waypoint in a tavern at which the client should spawn
    int nTavern = GetLocalInt(GetArea(OBJECT_SELF), "TavernNumber");
    string sTag;
    switch (nTavern)
        {
            case 1: sTag = "alverton_client_post"; break;
        }
    object oWaypoint = GetWaypointByTag(sTag);

    //Get the template of the client
    string sRace;
    string sGender;

    if (nTavern == 1 && Random(2) == 1) sRace = "hu"; //more than 50% of clients in a human town will be humans
    else if (nTavern == 2 && Random(2) == 1) sRace = "ha"; //...halflings
    else switch (Random(7))
        {
            case 0: sRace = "hu"; break;
            case 1: sRace = "ha"; break;
            case 2: sRace = "el"; break;
            case 3: sRace = "he"; break;
            case 4: sRace = "ho"; break;
            case 5: sRace = "dw"; break;
            case 6: sRace = "gn"; break;
        }
    switch (Random(3))
        {
            case 0: sGender = "_m"; break;
            case 1: sGender = "_f"; break;
            case 2: sGender = "_m"; break;
        }
    string sResRef = "anc_npc_"+sRace+sGender;

    //Spawn the client
    object oClient = CreateObject(OBJECT_TYPE_CREATURE, sResRef, GetLocation(oWaypoint));
    SetPlotFlag(oClient, TRUE);
    SetLocalInt(oClient, "Client", TRUE);

    //Disallow the innkeeper to introduce any more quest givers before the current one disappears
    //(either because of the specific PC leaving the area or by accepting/refusing the quest)
    SetLocalInt(GetPCSpeaker(), "ClientSpawned", TRUE);
    SetLocalInt(GetArea(OBJECT_SELF), "ClientSpawned", TRUE);

    //Generate NPC's name
        string sName;
        if (sRace == "hu" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Hinz"; break;
                        case 1: sName = "Edward"; break;
                        case 2: sName = "Morven"; break;
                        case 3: sName = "Algar"; break;
                        case 4: sName = "Chappel"; break;
                        case 5: sName = "Alvaro"; break;
                        case 6: sName = "Timon"; break;
                        case 7: sName = "Carleton"; break;
                        case 8: sName = "Osbert"; break;
                        case 9: sName = "Vollert"; break;
                        case 10: sName = "Barnard"; break;
                        case 11: sName = "Finn"; break;
                        case 12: sName = "Laux"; break;
                        case 13: sName = "Ernesto"; break;
                        case 14: sName = "Mircha"; break;
                        case 15: sName = "Hadrian"; break;
                        case 16: sName = "Terry"; break;
                        case 17: sName = "Reed"; break;
                        case 18: sName = "Milten"; break;
                        case 19: sName = "Sinjin"; break;
                        case 20: sName = "Fulbert"; break;
                        case 21: sName = "Austyn"; break;
                        case 22: sName = "Treves"; break;
                        case 23: sName = "Volkan"; break;
                        case 24: sName = "Othmar"; break;
                        case 25: sName = "Colyn"; break;
                        case 26: sName = "Andre"; break;
                        case 27: sName = "Alden"; break;
                        case 28: sName = "Sebert"; break;
                        case 29: sName = "Duron"; break;
                    }
            }
        if (sRace == "hu" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Margery"; break;
                        case 1: sName = "Aillsa"; break;
                        case 2: sName = "Lore"; break;
                        case 3: sName = "Mireya"; break;
                        case 4: sName = "Perla"; break;
                        case 5: sName = "Gilla"; break;
                        case 6: sName = "Clarissa"; break;
                        case 7: sName = "Daniella"; break;
                        case 8: sName = "Velda"; break;
                        case 9: sName = "Laverne"; break;
                        case 10: sName = "Melody"; break;
                        case 11: sName = "Imani"; break;
                        case 12: sName = "Zilli"; break;
                        case 13: sName = "Orlina"; break;
                        case 14: sName = "Solvig"; break;
                        case 15: sName = "Klementia"; break;
                        case 16: sName = "Sylvia"; break;
                        case 17: sName = "Feli"; break;
                        case 18: sName = "Christa"; break;
                        case 19: sName = "Minta"; break;
                        case 20: sName = "Tonja"; break;
                        case 21: sName = "Anahi"; break;
                        case 22: sName = "Elena"; break;
                        case 23: sName = "Vroni"; break;
                        case 24: sName = "Paola"; break;
                        case 25: sName = "Daniela"; break;
                        case 26: sName = "Emilia"; break;
                        case 27: sName = "Mayra"; break;
                        case 28: sName = "Xandra"; break;
                        case 29: sName = "Yuliana"; break;
                    }
            }
        if (sRace == "ha" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Sharner"; break;
                        case 1: sName = "Jonad"; break;
                        case 2: sName = "Quoumo"; break;
                        case 3: sName = "Irafer"; break;
                        case 4: sName = "Halton"; break;
                        case 5: sName = "Janzu"; break;
                        case 6: sName = "Wenser"; break;
                        case 7: sName = "River"; break;
                        case 8: sName = "Falkin"; break;
                        case 9: sName = "Telan"; break;
                        case 10: sName = "Goric"; break;
                        case 11: sName = "Ellan"; break;
                        case 12: sName = "Garwan"; break;
                        case 13: sName = "Danry"; break;
                        case 14: sName = "Finfer"; break;
                        case 15: sName = "Linser"; break;
                        case 16: sName = "Vinras"; break;
                        case 17: sName = "Halret"; break;
                        case 18: sName = "Kaskin"; break;
                        case 19: sName = "Merster"; break;
                        case 20: sName = "Lakas"; break;
                        case 21: sName = "Teret"; break;
                        case 22: sName = "Yartran"; break;
                        case 23: sName = "Zenzin"; break;
                        case 24: sName = "Erfire"; break;
                        case 25: sName = "Norrich"; break;
                        case 26: sName = "Falnad"; break;
                        case 27: sName = "Norumo"; break;
                        case 28: sName = "Flynkin"; break;
                        case 29: sName = "Ewrick"; break;
                    }
            }
        if (sRace == "ha" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Jayfira"; break;
                        case 1: sName = "Kelzana"; break;
                        case 2: sName = "Marzira"; break;
                        case 3: sName = "Arikis"; break;
                        case 4: sName = "Yojen"; break;
                        case 5: sName = "Neyra"; break;
                        case 6: sName = "Gelree"; break;
                        case 7: sName = "Idane"; break;
                        case 8: sName = "Vasica"; break;
                        case 9: sName = "Paelile"; break;
                        case 10: sName = "Calcey"; break;
                        case 11: sName = "Fenne"; break;
                        case 12: sName = "Malvira"; break;
                        case 13: sName = "Fensica"; break;
                        case 14: sName = "Yoola"; break;
                        case 15: sName = "Hasira"; break;
                        case 16: sName = "Darlyse"; break;
                        case 17: sName = "Eralie"; break;
                        case 18: sName = "Vaelle"; break;
                        case 19: sName = "Hada"; break;
                        case 20: sName = "Frozana"; break;
                        case 21: sName = "Gelri"; break;
                        case 22: sName = "Verphina"; break;
                        case 23: sName = "Kithsica"; break;
                        case 24: sName = "Zefris"; break;
                        case 25: sName = "Maemia"; break;
                        case 26: sName = "Rosla"; break;
                        case 27: sName = "Belvira"; break;
                        case 28: sName = "Dargwen"; break;
                        case 29: sName = "Quni"; break;
                    }
            }
        if (sRace == "ho" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Hinz"; break;
                        case 1: sName = "Edward"; break;
                        case 2: sName = "Morven"; break;
                        case 3: sName = "Algar"; break;
                        case 4: sName = "Chappel"; break;
                        case 5: sName = "Alvaro"; break;
                        case 6: sName = "Timon"; break;
                        case 7: sName = "Carleton"; break;
                        case 8: sName = "Osbert"; break;
                        case 9: sName = "Vollert"; break;
                        case 10: sName = "Barnard"; break;
                        case 11: sName = "Finn"; break;
                        case 12: sName = "Laux"; break;
                        case 13: sName = "Ernesto"; break;
                        case 14: sName = "Mircha"; break;
                        case 15: sName = "Gorubur"; break;
                        case 16: sName = "Horom"; break;
                        case 17: sName = "Gin"; break;
                        case 18: sName = "Crugark"; break;
                        case 19: sName = "Asiglar"; break;
                        case 20: sName = "Kilitar"; break;
                        case 21: sName = "Grumeruk"; break;
                        case 22: sName = "Marabur"; break;
                        case 23: sName = "Ganunar"; break;
                        case 24: sName = "Dorazur"; break;
                        case 25: sName = "Asubash"; break;
                        case 26: sName = "Oguidurk"; break;
                        case 27: sName = "Hogigul"; break;
                        case 28: sName = "Renamar"; break;
                        case 29: sName = "Garsh"; break;
                    }
            }
        if (sRace == "ho" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Margery"; break;
                        case 1: sName = "Aillsa"; break;
                        case 2: sName = "Lore"; break;
                        case 3: sName = "Mireya"; break;
                        case 4: sName = "Perla"; break;
                        case 5: sName = "Gilla"; break;
                        case 6: sName = "Clarissa"; break;
                        case 7: sName = "Daniella"; break;
                        case 8: sName = "Velda"; break;
                        case 9: sName = "Laverne"; break;
                        case 10: sName = "Melody"; break;
                        case 11: sName = "Imani"; break;
                        case 12: sName = "Zilli"; break;
                        case 13: sName = "Orlina"; break;
                        case 14: sName = "Solvig"; break;
                        case 15: sName = "Arigh"; break;
                        case 16: sName = "Rawizi"; break;
                        case 17: sName = "Vanetur"; break;
                        case 18: sName = "Grazi"; break;
                        case 19: sName = "Katime"; break;
                        case 20: sName = "Zonesh"; break;
                        case 21: sName = "Tamimi"; break;
                        case 22: sName = "Kirurook"; break;
                        case 23: sName = "Rasotah"; break;
                        case 24: sName = "Rahiti"; break;
                        case 25: sName = "Arori"; break;
                        case 26: sName = "Zonizura"; break;
                        case 27: sName = "Rashimira"; break;
                        case 28: sName = "Kanchu"; break;
                        case 29: sName = "Semotah"; break;
                    }
            }
        if (sRace == "gn" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Tanwin"; break;
                        case 1: sName = "Orzu"; break;
                        case 2: sName = "Ervyn"; break;
                        case 3: sName = "Yospos"; break;
                        case 4: sName = "Graziver"; break;
                        case 5: sName = "Zilpip"; break;
                        case 6: sName = "Lantor"; break;
                        case 7: sName = "Grapos"; break;
                        case 8: sName = "Brifan"; break;
                        case 9: sName = "Toziver"; break;
                        case 10: sName = "Ianmorn"; break;
                        case 11: sName = "Jedri"; break;
                        case 12: sName = "Ianbis"; break;
                        case 13: sName = "Valben"; break;
                        case 14: sName = "Zilcryn"; break;
                        case 15: sName = "Farlen"; break;
                        case 16: sName = "Kascorin"; break;
                        case 17: sName = "Farston"; break;
                        case 18: sName = "Panagim"; break;
                        case 19: sName = "Farrick"; break;
                        case 20: sName = "Sagrim"; break;
                        case 21: sName = "Davybar"; break;
                        case 22: sName = "Vorpos"; break;
                        case 23: sName = "Bilrick"; break;
                        case 24: sName = "Brixif"; break;
                        case 25: sName = "Bilhim"; break;
                        case 26: sName = "Tranan"; break;
                        case 27: sName = "Callen"; break;
                        case 28: sName = "Jorgrim"; break;
                        case 29: sName = "Alni"; break;
                    }
            }
        if (sRace == "gn" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Xahani"; break;
                        case 1: sName = "Helnove"; break;
                        case 2: sName = "Daphipine"; break;
                        case 3: sName = "Myrhana"; break;
                        case 4: sName = "Galmiphi"; break;
                        case 5: sName = "Heldira"; break;
                        case 6: sName = "Zinmyn"; break;
                        case 7: sName = "Jelphina"; break;
                        case 8: sName = "Lorixi"; break;
                        case 9: sName = "Carla"; break;
                        case 10: sName = "Fentra"; break;
                        case 11: sName = "Hesmila"; break;
                        case 12: sName = "Reqaryn"; break;
                        case 13: sName = "Tabi"; break;
                        case 14: sName = "Trinove"; break;
                        case 15: sName = "Nyna"; break;
                        case 16: sName = "Nidira"; break;
                        case 17: sName = "Vofi"; break;
                        case 18: sName = "Venceli"; break;
                        case 19: sName = "Selsany"; break;
                        case 20: sName = "Minkini"; break;
                        case 21: sName = "Orna"; break;
                        case 22: sName = "Lillin"; break;
                        case 23: sName = "Krinoa"; break;
                        case 24: sName = "Phinoa"; break;
                        case 25: sName = "Qizyre"; break;
                        case 26: sName = "Trifi"; break;
                        case 27: sName = "Galna"; break;
                        case 28: sName = "Selli"; break;
                        case 29: sName = "Celfi"; break;
                    }
            }
        if (sRace == "dw" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Melmar"; break;
                        case 1: sName = "Raggrun"; break;
                        case 2: sName = "Krammyr"; break;
                        case 3: sName = "Bannur"; break;
                        case 4: sName = "Hargron"; break;
                        case 5: sName = "Bendain"; break;
                        case 6: sName = "Fartharm"; break;
                        case 7: sName = "Rotrim"; break;
                        case 8: sName = "Bermin"; break;
                        case 9: sName = "Thorryl"; break;
                        case 10: sName = "Tornum"; break;
                        case 11: sName = "Dulkam"; break;
                        case 12: sName = "Ragthrum"; break;
                        case 13: sName = "Krammond"; break;
                        case 14: sName = "Grilmar"; break;
                        case 15: sName = "Armgus"; break;
                        case 16: sName = "Vondir"; break;
                        case 17: sName = "Berrig"; break;
                        case 18: sName = "Daerkohm"; break;
                        case 19: sName = "Gerniv"; break;
                        case 20: sName = "Gorgin"; break;
                        case 21: sName = "Narkin"; break;
                        case 22: sName = "Baivin"; break;
                        case 23: sName = "Hugirel"; break;
                        case 24: sName = "Daidal"; break;
                        case 25: sName = "Gudlin"; break;
                        case 26: sName = "Fuin"; break;
                        case 27: sName = "Grm"; break;
                        case 28: sName = "Din"; break;
                        case 29: sName = "Mali"; break;
                    }
            }
        if (sRace == "dw" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Gwynnar"; break;
                        case 1: sName = "Tisva"; break;
                        case 2: sName = "Tormura"; break;
                        case 3: sName = "Brallelin"; break;
                        case 4: sName = "Mistria"; break;
                        case 5: sName = "Gymwyn"; break;
                        case 6: sName = "Tislynn"; break;
                        case 7: sName = "Maevtin"; break;
                        case 8: sName = "Ardish"; break;
                        case 9: sName = "Katwaen"; break;
                        case 10: sName = "Lyssros"; break;
                        case 11: sName = "Bretlyl"; break;
                        case 12: sName = "Reddille"; break;
                        case 13: sName = "Lassri"; break;
                        case 14: sName = "Brillemura"; break;
                        case 15: sName = "Gwandielle"; break;
                        case 16: sName = "Barma"; break;
                        case 17: sName = "Brylleris"; break;
                        case 18: sName = "Brolsora"; break;
                        case 19: sName = "Brytri"; break;
                        case 20: sName = "Jynlyn"; break;
                        case 21: sName = "Belleria"; break;
                        case 22: sName = "Daerniss"; break;
                        case 23: sName = "Nasmera"; break;
                        case 24: sName = "Tizdielle"; break;
                        case 25: sName = "Solmyla"; break;
                        case 26: sName = "Maerbera"; break;
                        case 27: sName = "Edmora"; break;
                        case 28: sName = "Myrra"; break;
                        case 29: sName = "Ingdelle"; break;
                    }
            }
        if (sRace == "el" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Laythi"; break;
                        case 1: sName = "Feradul"; break;
                        case 2: sName = "Dar'Selquis"; break;
                        case 3: sName = "Arievar"; break;
                        case 4: sName = "Seather"; break;
                        case 5: sName = "Mei'Arnis"; break;
                        case 6: sName = "Eilevar"; break;
                        case 7: sName = "Luequis"; break;
                        case 8: sName = "Eilsel"; break;
                        case 9: sName = "Seldre"; break;
                        case 10: sName = "Sehthal"; break;
                        case 11: sName = "Ye'Tiaavel"; break;
                        case 12: sName = "Thervar"; break;
                        case 13: sName = "Renrus"; break;
                        case 14: sName = "Mil'Jarin"; break;
                        case 15: sName = "Nusanael"; break;
                        case 16: sName = "Verontril"; break;
                        case 17: sName = "Ilvain"; break;
                        case 18: sName = "Ryis"; break;
                        case 19: sName = "Renus"; break;
                        case 20: sName = "Thersel"; break;
                        case 21: sName = "Nureth"; break;
                        case 22: sName = "Vonlar"; break;
                        case 23: sName = "Thaavelen"; break;
                        case 24: sName = "Firreth"; break;
                        case 25: sName = "Lorlen"; break;
                        case 26: sName = "Ae'Corin"; break;
                        case 27: sName = "Eillar"; break;
                        case 28: sName = "Gilaias"; break;
                        case 29: sName = "Ialis"; break;
                    }
            }
        if (sRace == "el" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Alonnahel"; break;
                        case 1: sName = "Sireth"; break;
                        case 2: sName = "Iaothvanna"; break;
                        case 3: sName = "Gaellia"; break;
                        case 4: sName = "Tahloth"; break;
                        case 5: sName = "Corya"; break;
                        case 6: sName = "Tyreth"; break;
                        case 7: sName = "Arillia"; break;
                        case 8: sName = "Throvara"; break;
                        case 9: sName = "Silvena"; break;
                        case 10: sName = "Daentria"; break;
                        case 11: sName = "Am'Aria"; break;
                        case 12: sName = "Tha'Aelta"; break;
                        case 13: sName = "Gwassel"; break;
                        case 14: sName = "Esteledil"; break;
                        case 15: sName = "Lthes"; break;
                        case 16: sName = "Coneth"; break;
                        case 17: sName = "Laeben"; break;
                        case 18: sName = "Medl"; break;
                        case 19: sName = "Srbes"; break;
                        case 20: sName = "Taerhel"; break;
                        case 21: sName = "Ar'Assiela"; break;
                        case 22: sName = "Merilhel"; break;
                        case 23: sName = "Thirisdes"; break;
                        case 24: sName = "Galneth"; break;
                        case 25: sName = "Echuiwen"; break;
                        case 26: sName = "Ioristhel"; break;
                        case 27: sName = "Meridriel"; break;
                        case 28: sName = "Arudriel"; break;
                        case 29: sName = "Al'Firinel"; break;
                    }
            }
        if (sRace == "he" && sGender == "_m")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Hinz"; break;
                        case 1: sName = "Edward"; break;
                        case 2: sName = "Morven"; break;
                        case 3: sName = "Algar"; break;
                        case 4: sName = "Chappel"; break;
                        case 5: sName = "Alvaro"; break;
                        case 6: sName = "Timon"; break;
                        case 7: sName = "Carleton"; break;
                        case 8: sName = "Osbert"; break;
                        case 9: sName = "Vollert"; break;
                        case 10: sName = "Barnard"; break;
                        case 11: sName = "Finn"; break;
                        case 12: sName = "Laux"; break;
                        case 13: sName = "Ernesto"; break;
                        case 14: sName = "Mircha"; break;
                        case 15: sName = "Nusanael"; break;
                        case 16: sName = "Verontril"; break;
                        case 17: sName = "Ilvain"; break;
                        case 18: sName = "Ryis"; break;
                        case 19: sName = "Renus"; break;
                        case 20: sName = "Thersel"; break;
                        case 21: sName = "Nureth"; break;
                        case 22: sName = "Vonlar"; break;
                        case 23: sName = "Thaavelen"; break;
                        case 24: sName = "Firreth"; break;
                        case 25: sName = "Lorlen"; break;
                        case 26: sName = "Ae'Corin"; break;
                        case 27: sName = "Eillar"; break;
                        case 28: sName = "Gilaias"; break;
                        case 29: sName = "Ialis"; break;
                    }
            }
        if (sRace == "he" && sGender == "_f")
            {
                switch (Random(30))
                    {
                        case 0: sName = "Margery"; break;
                        case 1: sName = "Aillsa"; break;
                        case 2: sName = "Lore"; break;
                        case 3: sName = "Mireya"; break;
                        case 4: sName = "Perla"; break;
                        case 5: sName = "Gilla"; break;
                        case 6: sName = "Clarissa"; break;
                        case 7: sName = "Daniella"; break;
                        case 8: sName = "Velda"; break;
                        case 9: sName = "Laverne"; break;
                        case 10: sName = "Melody"; break;
                        case 11: sName = "Imani"; break;
                        case 12: sName = "Zilli"; break;
                        case 13: sName = "Orlina"; break;
                        case 14: sName = "Solvig"; break;
                        case 15: sName = "Lthes"; break;
                        case 16: sName = "Coneth"; break;
                        case 17: sName = "Laeben"; break;
                        case 18: sName = "Medl"; break;
                        case 19: sName = "Srbes"; break;
                        case 20: sName = "Taerhel"; break;
                        case 21: sName = "Ar'Assiela"; break;
                        case 22: sName = "Merilhel"; break;
                        case 23: sName = "Thirisdes"; break;
                        case 24: sName = "Galneth"; break;
                        case 25: sName = "Echuiwen"; break;
                        case 26: sName = "Ioristhel"; break;
                        case 27: sName = "Meridriel"; break;
                        case 28: sName = "Arudriel"; break;
                        case 29: sName = "Al'Firinel"; break;
                    }
            }

        //Generate NPC's last name
        string sLast1;
        string sLast2;
        string sLastName;
        if (sRace == "hu" || sRace == "ho")
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Strat"; break;
                        case 1: sLast1 = "Buck"; break;
                        case 2: sLast1 = "Ac"; break;
                        case 3: sLast1 = "Knot"; break;
                        case 4: sLast1 = "Adding"; break;
                        case 5: sLast1 = "Sag"; break;
                        case 6: sLast1 = "Oak"; break;
                        case 7: sLast1 = "Suther"; break;
                        case 8: sLast1 = "Cot"; break;
                        case 9: sLast1 = "Gar"; break;
                        case 10: sLast1 = "Craw"; break;
                        case 11: sLast1 = "Ander"; break;
                        case 12: sLast1 = "Hart"; break;
                        case 13: sLast1 = "Crutch"; break;
                        case 14: sLast1 = "Cle"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "ney"; break;
                        case 1: sLast2 = "ley"; break;
                        case 2: sLast2 = "ton"; break;
                        case 3: sLast2 = "ford"; break;
                        case 4: sLast2 = "ner"; break;
                        case 5: sLast2 = "ke"; break;
                        case 6: sLast2 = "mons"; break;
                        case 7: sLast2 = "dall"; break;
                        case 8: sLast2 = "mes"; break;
                        case 9: sLast2 = "bery"; break;
                        case 10: sLast2 = "ens"; break;
                        case 11: sLast2 = "with"; break;
                        case 12: sLast2 = "ding"; break;
                        case 13: sLast2 = "don"; break;
                        case 14: sLast2 = "holm"; break;
                    }
            }
        if (sRace == "ha")
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Amber"; break;
                        case 1: sLast1 = "Far"; break;
                        case 2: sLast1 = "Free"; break;
                        case 3: sLast1 = "Little"; break;
                        case 4: sLast1 = "Quick"; break;
                        case 5: sLast1 = "Silver"; break;
                        case 6: sLast1 = "Spring"; break;
                        case 7: sLast1 = "Glitter"; break;
                        case 8: sLast1 = "Brown"; break;
                        case 9: sLast1 = "Many"; break;
                        case 10: sLast1 = "Rain"; break;
                        case 11: sLast1 = "Under"; break;
                        case 12: sLast1 = "Fat"; break;
                        case 13: sLast1 = "Good"; break;
                        case 14: sLast1 = "Sun"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "ale"; break;
                        case 1: sLast2 = "brother"; break;
                        case 2: sLast2 = "eye"; break;
                        case 3: sLast2 = "shadow"; break;
                        case 4: sLast2 = "stoat"; break;
                        case 5: sLast2 = "arrow"; break;
                        case 6: sLast2 = "burrow"; break;
                        case 7: sLast2 = "fellow"; break;
                        case 8: sLast2 = "goat"; break;
                        case 9: sLast2 = "hearth"; break;
                        case 10: sLast2 = "shaker"; break;
                        case 11: sLast2 = "fingers"; break;
                        case 12: sLast2 = "hill"; break;
                        case 13: sLast2 = "flower"; break;
                        case 14: sLast2 = "fox"; break;
                    }
            }

        if (sRace == "gn")
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Wobble"; break;
                        case 1: sLast1 = "Tink"; break;
                        case 2: sLast1 = "Arcane"; break;
                        case 3: sLast1 = "Grind"; break;
                        case 4: sLast1 = "Black"; break;
                        case 5: sLast1 = "Sad"; break;
                        case 6: sLast1 = "Cast"; break;
                        case 7: sLast1 = "Swift"; break;
                        case 8: sLast1 = "Short"; break;
                        case 9: sLast1 = "Bright"; break;
                        case 10: sLast1 = "Tossle"; break;
                        case 11: sLast1 = "Shine"; break;
                        case 12: sLast1 = "Fast"; break;
                        case 13: sLast1 = "Spry"; break;
                        case 14: sLast1 = "Storm"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "bonk"; break;
                        case 1: sLast2 = "fuse"; break;
                        case 2: sLast2 = "needle"; break;
                        case 3: sLast2 = "fizz"; break;
                        case 4: sLast2 = "bang"; break;
                        case 5: sLast2 = "spring"; break;
                        case 6: sLast2 = "whistle"; break;
                        case 7: sLast2 = "steel"; break;
                        case 8: sLast2 = "pipe"; break;
                        case 9: sLast2 = "blast"; break;
                        case 10: sLast2 = "spark"; break;
                        case 11: sLast2 = "house"; break;
                        case 12: sLast2 = "master"; break;
                        case 13: sLast2 = "gauge"; break;
                        case 14: sLast2 = "flame"; break;
                    }
            }

        if (sRace == "el")
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Tal"; break;
                        case 1: sLast1 = "Bera"; break;
                        case 2: sLast1 = "Galon"; break;
                        case 3: sLast1 = "Faelan"; break;
                        case 4: sLast1 = "Mitha"; break;
                        case 5: sLast1 = "Elen"; break;
                        case 6: sLast1 = "Van"; break;
                        case 7: sLast1 = "Felli"; break;
                        case 8: sLast1 = "Fala"; break;
                        case 9: sLast1 = "Alda"; break;
                        case 10: sLast1 = "Undo"; break;
                        case 11: sLast1 = "Tela"; break;
                        case 12: sLast1 = "Ore"; break;
                        case 13: sLast1 = "Ga"; break;
                        case 14: sLast1 = "Kilyn"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "del"; break;
                        case 1: sLast2 = "nas"; break;
                        case 2: sLast2 = "vir"; break;
                        case 3: sLast2 = "dalan"; break;
                        case 4: sLast2 = "gathir"; break;
                        case 5: sLast2 = "dirryl"; break;
                        case 6: sLast2 = "rina"; break;
                        case 7: sLast2 = "thiel"; break;
                        case 8: sLast2 = "thalion"; break;
                        case 9: sLast2 = "'smaer"; break;
                        case 10: sLast2 = "'loneme"; break;
                        case 11: sLast2 = "'linail"; break;
                        case 12: sLast2 = "'mirdal"; break;
                        case 13: sLast2 = "gaas"; break;
                        case 14: sLast2 = "leniel"; break;
                    }
            }

        if (sRace == "dw")
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Under"; break;
                        case 1: sLast1 = "Dim"; break;
                        case 2: sLast1 = "Mud"; break;
                        case 3: sLast1 = "Noble"; break;
                        case 4: sLast1 = "Golden"; break;
                        case 5: sLast1 = "Silver"; break;
                        case 6: sLast1 = "Diamond"; break;
                        case 7: sLast1 = "Steel"; break;
                        case 8: sLast1 = "Gravel"; break;
                        case 9: sLast1 = "Bone"; break;
                        case 10: sLast1 = "Earth"; break;
                        case 11: sLast1 = "Black"; break;
                        case 12: sLast1 = "Beast"; break;
                        case 13: sLast1 = "Wyvern"; break;
                        case 14: sLast1 = "Deep"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "buckle"; break;
                        case 1: sLast2 = "brand"; break;
                        case 2: sLast2 = "braid"; break;
                        case 3: sLast2 = "axe"; break;
                        case 4: sLast2 = "hide"; break;
                        case 5: sLast2 = "gut"; break;
                        case 6: sLast2 = "pike"; break;
                        case 7: sLast2 = "fall"; break;
                        case 8: sLast2 = "helm"; break;
                        case 9: sLast2 = "chin"; break;
                        case 10: sLast2 = "chest"; break;
                        case 11: sLast2 = "hammer"; break;
                        case 12: sLast2 = "guard"; break;
                        case 13: sLast2 = "head"; break;
                        case 14: sLast2 = "basher"; break;
                    }
            }

        if (sRace == "he" && Random(2) == 1)
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Tal"; break;
                        case 1: sLast1 = "Bera"; break;
                        case 2: sLast1 = "Galon"; break;
                        case 3: sLast1 = "Faelan"; break;
                        case 4: sLast1 = "Mitha"; break;
                        case 5: sLast1 = "Elen"; break;
                        case 6: sLast1 = "Van"; break;
                        case 7: sLast1 = "Felli"; break;
                        case 8: sLast1 = "Fala"; break;
                        case 9: sLast1 = "Alda"; break;
                        case 10: sLast1 = "Undo"; break;
                        case 11: sLast1 = "Tela"; break;
                        case 12: sLast1 = "Ore"; break;
                        case 13: sLast1 = "Ga"; break;
                        case 14: sLast1 = "Kilyn"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "del"; break;
                        case 1: sLast2 = "nas"; break;
                        case 2: sLast2 = "vir"; break;
                        case 3: sLast2 = "dalan"; break;
                        case 4: sLast2 = "gathir"; break;
                        case 5: sLast2 = "dirryl"; break;
                        case 6: sLast2 = "rina"; break;
                        case 7: sLast2 = "thiel"; break;
                        case 8: sLast2 = "thalion"; break;
                        case 9: sLast2 = "'smaer"; break;
                        case 10: sLast2 = "'loneme"; break;
                        case 11: sLast2 = "'linail"; break;
                        case 12: sLast2 = "'mirdal"; break;
                        case 13: sLast2 = "gaas"; break;
                        case 14: sLast2 = "leniel"; break;
                    }
            }
        else if (sRace == "he")
            {
                switch (Random(15))
                    {
                        case 0: sLast1 = "Strat"; break;
                        case 1: sLast1 = "Buck"; break;
                        case 2: sLast1 = "Ac"; break;
                        case 3: sLast1 = "Knot"; break;
                        case 4: sLast1 = "Adding"; break;
                        case 5: sLast1 = "Sag"; break;
                        case 6: sLast1 = "Oak"; break;
                        case 7: sLast1 = "Suther"; break;
                        case 8: sLast1 = "Cot"; break;
                        case 9: sLast1 = "Gar"; break;
                        case 10: sLast1 = "Craw"; break;
                        case 11: sLast1 = "Ander"; break;
                        case 12: sLast1 = "Hart"; break;
                        case 13: sLast1 = "Crutch"; break;
                        case 14: sLast1 = "Cle"; break;
                    }
                switch (Random(15))
                    {
                        case 0: sLast2 = "ney"; break;
                        case 1: sLast2 = "ley"; break;
                        case 2: sLast2 = "ton"; break;
                        case 3: sLast2 = "ford"; break;
                        case 4: sLast2 = "ner"; break;
                        case 5: sLast2 = "ke"; break;
                        case 6: sLast2 = "mons"; break;
                        case 7: sLast2 = "dall"; break;
                        case 8: sLast2 = "mes"; break;
                        case 9: sLast2 = "bery"; break;
                        case 10: sLast2 = "ens"; break;
                        case 11: sLast2 = "with"; break;
                        case 12: sLast2 = "ding"; break;
                        case 13: sLast2 = "don"; break;
                        case 14: sLast2 = "holm"; break;
                    }
            }
            sLastName = sLast1+sLast2;

    //Set the NPC's name and last name
    SetName(oClient, sName+" "+sLastName);
    SetLocalString(oClient, "Name", sName);
    SetLocalString(oClient, "LastName", sLastName);

    //If the ANC_MARKS switch is set to TRUE, mark the NPC with a blue exclamation VFX
    effect eExclamation = EffectVisualEffect(VFX_EXCLAIM_BLUE, FALSE);
    if (GetLocalInt(GetModule(), "ANC_MARKS") == TRUE) ApplyEffectToObject(DURATION_TYPE_PERMANENT, eExclamation, oClient);
}
