////////////////////////////////////////////////////////////////////////////////
// filename: ss_mounthorse
// source: http://palmergames.com/lexicon/lexicon_1_69/function.HorseGetMyHorse.html
////////////////////////////////////////////////////////////////////////////////

#include "x3_inc_horse"

// This example actions the PC to mount their assigned horse (if there is one)
// or else the first horse (if any) that they own.
void main()
{
    object oPC    = GetPCSpeaker();
    object oHorse = HorseGetMyHorse(oPC);

    // Debug
    //SpeakString("oPC = " + GetName(oPC));
    //SpeakString("oMyHorse = " + GetName(oHorse));

    if(!GetIsObjectValid(oHorse))
    {
        oHorse = HorseGetHorse(oPC);
        //Debug
        //SpeakString("oHorse = " + GetName(oHorse));
    }

    if(GetIsObjectValid(oHorse))
    {
        // Mount the horse with playing animation.
        AssignCommand(oPC, HorseMount(oHorse, TRUE, FALSE));
    }
}
