#include "x4_inc_functions"
/*Let's check two things:
-whether int Round is nonexistent in PC's database
-whether the PC's registration was regarding this very tournament
If both are true, it means the PC has either lost or won this tournament, so they can't participate anymore*/
int StartingConditional()
{
    string sDB = GetLocalString(GetModule(), "DB");
    string sCharDB = CharacterDB(GetPCSpeaker());
    int nCurrentStart = GetCampaignInt(sDB, "ALVERTON_EVENT_START");
    int nPCStart = GetCampaignInt(sCharDB, "TOUR_START");
    int nRound = GetCampaignInt(sCharDB, "TOUR_ROUND");
    if (nRound == 0 && nPCStart == nCurrentStart) return TRUE;
    return FALSE;
}
