//::///////////////////////////////////////////////
//:: Summon Familiar
//:: NW_S2_Familiar
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    This spell summons an Arcane casters familiar
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: Sept 27, 2001
//:: Modified: 69MEH69 Sep2005
//:://////////////////////////////////////////////
#include "69_hench_lib"
void main()
{
    if(!GetIsPC(OBJECT_SELF))
    {
      HenchSummonCreature69(OBJECT_SELF);
      return;
    }
    //Yep thats it
    SummonFamiliar();

    //If the familiar has lockpicking higher than 10, set it to 10
    object oFamiliar = GetAssociate(ASSOCIATE_TYPE_FAMILIAR);
    if (GetSkillRank(SKILL_OPEN_LOCK, oFamiliar, TRUE) > 10)
    {
        effect eSkillNerf = EffectSkillDecrease(SKILL_OPEN_LOCK, GetSkillRank(SKILL_OPEN_LOCK, oFamiliar, TRUE)-10);
        ApplyEffectToObject(DURATION_TYPE_PERMANENT, SupernaturalEffect(eSkillNerf), oFamiliar);
    }

}
